# MPL-Colormaps-Mathematica

Mathematica port of matplotlib colormaps Magma, Inferno, Plasma, Viridis, and Cividis.

![alt text](examples/gallery.png "Gallery of color maps 'Magma', 'Inferno', 'Plasma', 'Viridis', and 'Cividis'")

## Usage

To import this package, either download `MPLColorMap.m` and import the file using
```
<< "path/to/MPLColorMap.m";
```
or import the file from this web server using
```
<< "https://git.mieling.net/Thomas/MPL-Colormaps-Mathematica/raw/\
branch/master/MPLColorMap.m";
```

The various color maps are then available as `MPLColorMap["Viridis"]` etc.
For example:
```
DensityPlot[Sin[x] Sin[y], {x, 0, 2 \[Pi]}, {y, 0, 2 \[Pi]}, 
 ColorFunction -> MPLColorMap["Viridis"]]
```
produces the following image:

![alt text](examples/densityplot.png "Density plot of sin(x) sin(y) using the 'Viridis' color map")
